Package com.ocient.transport

# Class JavaNetOcientWireV1Transport.Factory

java.lang.Object
com.ocient.transport.JavaNetOcientWireV1Transport.Factory

All Implemented Interfaces:
  `SimplexTransportFactory<JavaNetOcientWireV1Transport>`

Enclosing class:
  JavaNetOcientWireV1Transport

public static class JavaNetOcientWireV1Transport.Factory extends Object implements SimplexTransportFactory<JavaNetOcientWireV1Transport>

## Constructor Summary

Constructors
Constructor
Description
`Factory()`

## Method Summary

Modifier and Type
Method
Description
`CompletionStage<TransportResult<JavaNetOcientWireV1Transport>>`
`connect(String host, int port, XGConnection.Tls tls, int connectTimeout)`
Connects to a remote host using the specified transport and configuration.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Factory

public Factory()

## Method Details

### connect

public CompletionStage<TransportResult<JavaNetOcientWireV1Transport>> connect(String host, int port, XGConnection.Tls tls, int connectTimeout)
Description copied from interface: `SimplexTransportFactory`
Connects to a remote host using the specified transport and configuration.

Specified by:
  `connect` in interface `SimplexTransportFactory<JavaNetOcientWireV1Transport>`
Parameters:
  `host` - the hostname or IP address of the remote host
  `port` - the port number of the remote host
  `tls` - the TLS configuration to use for the connection, or null if TLS is not required
  `connectTimeout` - the maximum time to wait for the connection to be established, in milliseconds
Returns:
  a new `SimplexTransport` object representing the connection to the remote host